Skype 5 for Mac Security Vulnerability

A new version of Skype 5 closes the vulnerability, and Skype 2.8 (with its simpler, superior interface) was unaffected all along.

Monday, 9 May 2011

Ads via The Deck Ads via The Deck